示例#1
0
        public LevelMark(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, Dynamic.Tekla.Structures.Geometry3d.Point BasePoint, Dynamic.Tekla.Structures.Drawing.PlacingBase Placing, Dynamic.Tekla.Structures.Drawing.ModelObject modelObject, Dynamic.Tekla.Structures.Drawing.LevelMark.LevelMarkAttributes Attributes)
        {
            var args = new object[6];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(BasePoint);
            args[3]          = Dynamic.Tekla.Structures.Drawing.PlacingBase_.GetTSObject(Placing);
            args[4]          = Dynamic.Tekla.Structures.Drawing.ModelObject_.GetTSObject(modelObject);
            args[5]          = Dynamic.Tekla.Structures.Drawing.LevelMark.LevelMarkAttributes_.GetTSObject(Attributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.LevelMark", args);
        }
        public Text(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point insertionPoint, System.String Text, Dynamic.Tekla.Structures.Drawing.PlacingBase Placing, Dynamic.Tekla.Structures.Drawing.Text.TextAttributes inAttributes)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(insertionPoint);
            args[2]          = Text;
            args[3]          = Dynamic.Tekla.Structures.Drawing.PlacingBase_.GetTSObject(Placing);
            args[4]          = Dynamic.Tekla.Structures.Drawing.Text.TextAttributes_.GetTSObject(inAttributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Text", args);
        }
示例#3
0
        public Symbol(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, Dynamic.Tekla.Structures.Drawing.SymbolInfo SymbolInfo, Dynamic.Tekla.Structures.Drawing.Symbol.SymbolAttributes Attributes, Dynamic.Tekla.Structures.Drawing.PlacingBase Placing)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            args[2]          = Dynamic.Tekla.Structures.Drawing.SymbolInfo_.GetTSObject(SymbolInfo);
            args[3]          = Dynamic.Tekla.Structures.Drawing.Symbol.SymbolAttributes_.GetTSObject(Attributes);
            args[4]          = Dynamic.Tekla.Structures.Drawing.PlacingBase_.GetTSObject(Placing);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Symbol", args);
        }